augeas (1.2.0-0.2+dyson1) unstable; urgency=medium

  * Package for Dyson
  * Appended -Xcharset.alias to dh_install

 -- Igor Pashev <pashev.igor@gmail.com>  Tue, 06 Jan 2015 13:33:57 +0300

augeas (1.2.0-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Require SELinux support only on Linux-based architectures

 -- Hilko Bengen <bengen@debian.org>  Wed, 27 Aug 2014 19:43:41 +0200

augeas (1.2.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version (Closes: #751232)
  * Removed patch for issue that has been fixed upstream
  * Modernized package:
    - Debhelper 9
    - Bumped Standards-Version
    - Added Vcs-* headers
  * Updated .symbols file
  * Enabled selinux (Closes: #752037)
  * Added patches: 
    - Install vim addons into correct directory
    - Skip tests that need root privileges when fakeroot has been detected

 -- Hilko Bengen <bengen@debian.org>  Mon, 25 Aug 2014 18:58:03 +0200

augeas (1.0.0-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Tests can now be run in mixed-case directories such as the temporary
    directory created by sbuild (Closes: #707922)
  * Restored the original Maintainer field (Closes: #697972)
  * Updated watch file
  * Updated symbols file
  * Install *.vim files into correct path
  * Don't use chrpath
  * No longer disable optimization on armel

 -- Hilko Bengen <bengen@debian.org>  Sat, 29 Jun 2013 15:26:53 +0200

augeas (1.0.0-1) unstable; urgency=low

  * Uploaded to Debian

 -- Free Ekanayaka <freee@debian.org>  Fri, 11 Jan 2013 10:49:44 +0100

augeas (1.0.0-0ubuntu1) raring; urgency=low

  * New upstream version.
  * Drop all patches. 

 -- Raphaël Pinson <raphink@ubuntu.com>  Thu, 27 Dec 2012 10:07:10 +0100

augeas (0.10.0-1fakesync1ubuntu2) raring; urgency=low

  * Fix FTBFS: Avoid assuming that gets is declared.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 24 Dec 2012 13:53:10 +0200

augeas (0.10.0-1fakesync1ubuntu1) quantal-proposed; urgency=low

  * augeas-split-lines.patch: consolidate 2 commits from upstream to fix
    handling of split lines in modprobe.conf (LP: #1054306) (Closes: #688347)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 24 Sep 2012 22:56:01 -0500

augeas (0.10.0-1fakesync1) quantal-proposed; urgency=low

  * Fake sync due to mismatching orig tarball.  (LP: #1054329)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 24 Sep 2012 14:39:56 -0500

augeas (0.10.0-1) unstable; urgency=low

  * New upstream release
  * Pull packaging changes from Ubuntu (see the changelog)
  * Pull packaging changes from Igor Pashev's package at mentors.d.o:
    - Update maintainer's email
    - Add upstream sudoers.patch (Closes: #650079)
    - Add upstream debctl.patch (Closes: #650887)
    - Add upstream modprobe.patch (Closes: #641813)
    - Add cpp-linkage.patch for C++ linkage
    - Add gnulib-build-out-of-source.patch for building out of source tree
    - Add regexp-escape.patch for escape() usage on systems without uselocale()
    * Fix build-deps on naturaldocs (build-depends-on-1-revision)

 -- Free Ekanayaka <freee@debian.org>  Sun, 20 May 2012 09:45:39 +0200

augeas (0.10.0-0ubuntu4) precise; urgency=low

  * Add a Depends on libxml2-dev for libaugeas-dev, since it is required by
    the pcfile. (LP: #940172)

 -- Iain Lane <laney@ubuntu.com>  Fri, 24 Feb 2012 10:16:51 +0000

augeas (0.10.0-0ubuntu3) precise; urgency=low

  * Add LP838010_sudoers.patch to (LP: #838010).

 -- Raphaël Pinson <raphink@ubuntu.com>  Sun, 18 Dec 2011 21:51:39 +0100

augeas (0.10.0-0ubuntu2) precise; urgency=low

  * Pull patches from upstream:
     - libxml2_onechar_path.patch
     - mdadm_debian_path.patch
     - pkg-config_require_libxml2.patch
  * Update Ubuntu maintainer as per XSBC-Original-Maintainer policy.

 -- Raphaël Pinson <raphink@ubuntu.com>  Wed, 14 Dec 2011 09:59:18 +0100

augeas (0.10.0-0ubuntu1) precise; urgency=low

  * New upstream release
  * Add libxml2-dev and pkg-config to Build-Depends.
  * Deactivate obsolete test-readlink-errno.patch patch.
  * Update debian/libaugeas0.symbols to match upstream changes.

 -- Raphaël Pinson <raphink@ubuntu.com>  Sat, 03 Dec 2011 14:46:20 +0100

augeas (0.9.0-1) unstable; urgency=low

  * New upstream release
  * Added build-arch and build-indep targets to d/rules. (Closes: #648156)
    Thanks to Niels Thykier for the patch.

 -- Nicolas Valcárcel Scerpella <nicolas.valcarcel@canonical.com>  Thu, 10 Nov 2011 09:20:03 -0500

augeas (0.8.1-2) unstable; urgency=low

  * debian/patches/test-readlink-errno.patch: On linux kernels >2.6.39
    one of the readlink tests fails with EINVAL, rather than the previous
    (expected) behaviour of ENOENT; causing FTBFS.  This patch accepts
    both behaviours resolving failure. Thanks to Dave Walker for the patch
    (Closes: #630256)

 -- Nicolas Valcárcel Scerpella <nicolas.valcarcel@canonical.com>  Mon, 13 Jun 2011 14:42:12 -0400

augeas (0.8.1-1) unstable; urgency=low

  * new upstream release
  * pull packaging from Ubuntu - new binary package augeas-docs
  * change build dependency on naturaldocs to version in Debian
  * remove debian/patches/*, no longer needed
  * update standards version - no changes
  * update libaugeas0 short description to not start with an article
  * update debian/libaugeas0.symbols to match upstream changes

 -- Micah Anderson <micah@debian.org>  Thu, 09 Jun 2011 10:25:27 -0400

augeas (0.8.0-0ubuntu4) natty; urgency=low

  * debian/rules: Work around segfault in make check by building with -O0 on armel.
    Fixes armel FTBFS (LP: #758082)

 -- Jani Monoses <jani@ubuntu.com>  Tue, 12 Apr 2011 00:04:20 +0300

augeas (0.8.0-0ubuntu3) natty; urgency=low

  * Fix FTBFS. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 04 Apr 2011 15:03:57 -0400

augeas (0.8.0-0ubuntu2) natty; urgency=low

  * src/augtool.c: Fix null pointer derefrence.
    (LP: #736685) 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 04 Apr 2011 14:03:22 -0400

augeas (0.8.0-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Remove obsolete ruby Build-Depend.
  * Build PDF docs and add them to augeas-doc.
  * Build-Depend on texlive-latex-base to build PDF docs.
  * Install txt doc files in augeas-doc.

 -- Raphaël Pinson <raphink@ubuntu.com>  Thu, 24 Feb 2011 09:32:22 +0100

augeas (0.7.4-0ubuntu3) natty; urgency=low

  * Install vim syntax files in augeas-doc.

 -- Raphaël Pinson <raphink@ubuntu.com>  Tue, 15 Feb 2011 16:45:34 +0100

augeas (0.7.4-0ubuntu2) natty; urgency=low

  * Fix Priority of augeas-doc package. 

 -- Raphaël Pinson <raphink@ubuntu.com>  Mon, 22 Nov 2010 18:51:38 +0100

augeas (0.7.4-0ubuntu1) natty; urgency=low

  * New upstream release
  * Build an augeas-doc package:
     - Add --with-naturaldocs-output=HTML to configure
     - Build-Depend on naturaldocs
     - augeas-lenses suggests augeas-doc
  * Activate checks:
     - Add make check
     - Build-Depend on ruby for tests

 -- Raphaël Pinson <raphink@ubuntu.com>  Fri, 19 Nov 2010 23:02:00 +0100

augeas (0.7.3-1) unstable; urgency=low

  * New upstream release

 -- Nicolas Valcárcel Scerpella (Canonical) <nicolas.valcarcel@canonical.com>  Fri, 27 Aug 2010 14:59:07 -0500

augeas (0.7.2-1) unstable; urgency=low

  * New upstream release
  * Droped 50_iptables-lens.diff. Included upstream
  * Updated libaugeas0.symbols

 -- Nicolas Valcárcel Scerpella (Canonical) <nicolas.valcarcel@canonical.com>  Fri, 25 Jun 2010 16:12:45 -0500

augeas (0.7.1-2) unstable; urgency=low

  * Remove libaugeas0 from augeas-lenses depends. (Closes: #578880)
  * Change iptables config location. (LP: #566803)

 -- Nicolas Valcárcel Scerpella (Canonical) <nicolas.valcarcel@canonical.com>  Fri, 23 Apr 2010 09:28:28 -0500

augeas (0.7.1-1) unstable; urgency=low

  * New upstream release
  * Remove 50_grub_lense.diff. Included upstream
  * Switch to dpkg-source 3.0 (quilt) format
    - Remove Build-dep on quilt
    - Remove all reference to quilt in debian/rules
    - Remove README.source

 -- Nicolas Valcárcel Scerpella (Canonical) <nicolas.valcarcel@canonical.com>  Wed, 21 Apr 2010 18:38:21 -0500

augeas (0.7.0-2) unstable; urgency=low

  * Add dependecy on libaugeas0 ( >= 0.70) to augeas-lenses
  * Add dependency on ${misc:Depends} to augeas-lenses and augeas-dbg
    to satisfy lintian.
  * Updated my mail in Maintainers field
  * Add README.source

 -- Nicolas Valcárcel Scerpella (Canonical) <nicolas.valcarcel@canonical.com>  Wed, 21 Apr 2010 18:12:37 -0500

augeas (0.7.0-1) unstable; urgency=low

  * New upstream release
  * Update grub.lens patch to match grub's config file location 
    (Closes: #535141)
  * Add augeas-dbg binary package. Thanks Matthew Palmer for the patch.
    (Closes: #567236)
  * Updated libaugeas0.symbols.

 -- Nicolas Valcárcel Scerpella (Canonical) <nvalcarcel@canonical.com>  Thu, 28 Jan 2010 00:51:54 -0500

augeas (0.6.0-2) unstable; urgency=low

  * Add DM-Upload-Allowed field 

 -- Nicolas Valcárcel Scerpella (Canonical) <nvalcarcel@canonical.com>  Sun, 20 Dec 2009 22:03:04 -0500

augeas (0.6.0-1) unstable; urgency=low

  * New upstream release
  * Add symbols support. (Closes: #530889) Thanks to Chuck Short for the patch.

 -- Nicolas Valcárcel Scerpella (Canonical) <nvalcarcel@canonical.com>  Wed, 02 Dec 2009 22:44:01 -0500

augeas (0.5.3-1) unstable; urgency=low

  * New upstream release
  * Exclude XXX~ files when cleaning
 
 -- Nicolas Valcárcel Scerpella (Canonical) <nvalcarcel@canonical.com>  Sat, 19 Sep 2009 00:39:07 -0500

augeas (0.5.2-2) unstable; urgency=low

  * Change libreadline5-dev Build-Dep to libreadline-dev

 -- Nicolas Valcárcel Scerpella (Canonical) <nvalcarcel@canonical.com>  Sun, 13 Sep 2009 15:58:16 -0500

augeas (0.5.2-1) unstable; urgency=low

  * New Upstream Version

 -- Free Ekanayaka <freee@debian.org>  Tue, 14 Jul 2009 12:09:26 +0200

augeas (0.5.1-1) unstable; urgency=low

  * New upstream release

 -- Nicolas Valcárcel Scerpella (Canonical) <nvalcarcel@canonical.com>  Wed, 10 Jun 2009 11:52:57 -0500

augeas (0.5.0-2) unstable; urgency=low

  * Bumped the Standards Version to 3.8.1
  * Version depend in the shlib file. Patch from Torsten Werner. 
    (Closes: #530931)

 -- Nicolas Valcárcel Scerpella <nvalcarcel@canonical.com>  Thu, 28 May 2009 23:46:03 +0200

augeas (0.5.0-1) unstable; urgency=low

  * New upstream release
  * Updated 50_grub_lense.diff to fit with new grub lense.

 -- Nicolas Valcárcel Scerpella <nvalcarcel@canonical.com>  Tue, 12 May 2009 11:07:05 -0500

augeas (0.4.0-1) unstable; urgency=low

  * New Upstream Version

 -- Free Ekanayaka <freee@debian.org>  Sun, 08 Feb 2009 10:58:29 +0100

augeas (0.3.6-1) unstable; urgency=low

  * New Upstream Version
  * Add Vcs-Browser and Vcs-Git fields

 -- Free Ekanayaka <freee@debian.org>  Tue, 27 Jan 2009 21:49:47 +0000

augeas (0.3.5-1) unstable; urgency=low

  * New upstream release
  * Drop 60_extra-lenses patch, all lenses merged upstream

 -- Free Ekanayaka <freee@debian.org>  Wed, 24 Dec 2008 16:11:49 +0000

augeas (0.3.4-2) unstable; urgency=low

  * Update extra-lenses patch (add passwd lens)

 -- Free Ekanayaka <freee@debian.org>  Mon, 22 Dec 2008 11:27:18 +0000

augeas (0.3.4-1) unstable; urgency=low

  * New Upstream Version

 -- Free Ekanayaka <freee@debian.org>  Mon, 10 Nov 2008 13:48:04 +0100

augeas (0.3.3-2) unstable; urgency=low

  * Update extra-lenses patch (group and cron-apt lenses)

 -- Free Ekanayaka <freee@debian.org>  Tue, 28 Oct 2008 12:30:48 +0100

augeas (0.3.3-1) unstable; urgency=low

  * New upstream release

 -- Free Ekanayaka <freee@debian.org>  Sat, 25 Oct 2008 14:05:54 +0200

augeas (0.3.2-1) unstable; urgency=low

  * New upstream version
  * Add extra-lenses patch (phpvars, squid, postfix, webmin)

 -- Free Ekanayaka <freee@debian.org>  Wed, 22 Oct 2008 11:04:09 +0200

augeas (0.3.1-1) unstable; urgency=low

  * New upstream release
  * Pass --enable-compile-warnings=yes to ./configure, which makes
    the package buildable on etch
  * Added myself to Uploaders:

 -- Free Ekanayaka <freee@debian.org>  Fri, 05 Sep 2008 10:04:12 +0200

augeas (0.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Nicolas Valcárcel <nvalcarcel@gmail.com>  Fri, 08 Aug 2008 00:31:56 -0500

augeas (0.2.2-1) unstable; urgency=low

  * New upstream release. 
  * Dropped: 51_alias_commas.diff, 52_dput_support.diff and
    20_autool_null_printing.diff since they are not needed anymore.
  * Install NEWS file with changelogs.

 -- Nicolas Valcárcel <nvalcarcel@gmail.com>  Fri, 18 Jul 2008 19:05:12 -0500

augeas (0.2.1-2) unstable; urgency=low

  * Removed required spaces after commas on aliases.aug (51_alias_commas.diff)
    - Added test cases to tests/test_aliases.aug
    (Patch taken from upstream)
  * Added dput support (dput.aug)
    - Added test cases to tests/test_dput.aug (52_dput_support.diff)
    (Patch taken from upstream, originally written by Raphael Pinson)
  * debian/control:
    - augeas-lenses:
      + Droped Depends field
      + Added libaugeas0 (= ${binary:Version}) to Suggests field
    - libaugeas0:
      + Added augeas-tools to Suggests field
  * Fixed printing of null values in augtool (20_autool_null_printing.diff)
    (Patch taken from upstream)

 -- Nicolas Valcárcel <nvalcarcel@gmail.com>  Fri, 18 Jul 2008 00:10:06 -0500

augeas (0.2.1-1) unstable; urgency=low

  * Initial packaging for debian. (Closes: #476648)
  * Fix rpath issue. http://wiki.debian.org/RpathIssue
  * 50_grub_lense.diff:
    - Fix configuration file path for grub (Debian systems only).

 -- Nicolas Valcárcel <nvalcarcel@gmail.com>  Thu, 03 Jul 2008 19:52:15 -0500

